Bug 41991

Summary: [IvyBridge-edp] edp doesn't work on IvyBridge
Product: DRI Reporter: fangxun <xunx.fang>
Component: DRM/IntelAssignee: Keith Packard <keithp>
Status: VERIFIED FIXED QA Contact:
Severity: critical    
Priority: high CC: ben, chris, daniel, eugeni, jbarnes, keithp
Version: unspecified   
Hardware: All   
OS: Linux (All)   
i915 platform: i915 features:
Bug Depends on:    
Bug Blocks: 42991    
Description Flags
dmesg with drm.debug=0x0e none

Description fangxun 2011-10-19 02:27:57 UTC
System Environment:
Arch:           i386
Platform:       IvyBridge
Libdrm:     (master)2.4.26-12-gb317c96361f88a0a4ccb2faeff09b0476d142c68
Mesa:       (master)53d32600cc1bf69e048ff6f75ead5ab3f627a3a5
Xserver: (master)xorg-server-1.11.0-176-gfae7ed62ad476114bd37b566202cf6b6546c0a1f
Xf86_video_intel: (master)2.16.0-143-gb89592b16e373da1fe259ad067f65ba95021dc49
Kernel: (drm-intel-next)64a742fac3a22f57303d8f1b7e347350a1c48254

Bug detailed description:
Tested with latest drm-intel-next kernel on our edp IvyBridge, black srceen is displayed when system loading KMS. VGA works on this IvyBridge.
Comment 1 Paulo Zanoni 2011-10-24 12:30:27 UTC
Since you reported the bug, drm-intel-next got some fixes related to eDP. Please retest.
Comment 2 Gordon Jin 2011-10-24 17:28:34 UTC
The updated drm-intel-next still doesn't work.
Comment 3 fangxun 2011-11-01 01:50:07 UTC
Created attachment 52981 [details]
dmesg with drm.debug=0x0e
Comment 4 Gordon Jin 2011-11-16 17:01:50 UTC
Xun, please try Keith's patch: 
Comment 5 fangxun 2011-11-16 18:32:53 UTC
(In reply to comment #4)
> Xun, please try Keith's patch: 
> http://lists.freedesktop.org/archives/intel-gfx/2011-November/013483.html

I unable to file this patch on latest drm-intel-next commit. 
Hunk #1 succeeded at 367 (offset 6 lines).
Hunk #2 FAILED at 816.
Hunk #3 FAILED at 872.
Hunk #4 FAILED at 1374.
Hunk #5 FAILED at 1413.
Hunk #6 succeeded at 1453 (offset -40 lines).
Hunk #7 succeeded at 1589 (offset -40 lines).
Hunk #8 FAILED at 1644.
Hunk #9 succeeded at 1609 (offset -44 lines).
Hunk #10 FAILED at 1734.
Hunk #11 succeeded at 1684 (offset -58 lines).
Hunk #12 succeeded at 1725 (offset -58 lines).
Hunk #13 succeeded at 1755 (offset -58 lines).
Hunk #14 FAILED at 1825.

Keith, could you push the patch to your drm-intel-next tree?
Comment 6 Keith Packard 2011-11-16 20:32:08 UTC
I've pushed an 'ivb-edp' branch to fdo that has this patch (and lots of other stuff).
Comment 7 fangxun 2011-11-17 00:08:29 UTC
Thanks, Keith. Using the patch, EDP still doesn't work, and kernel crashes.
Comment 8 Gordon Jin 2011-11-30 16:37:39 UTC
I see below commit in drm-intel-fixes (but not in -next). Xun, can you verify this bug with -fixes?

author Keith Packard <keithp@keithp.com> 2011-11-17 00:26:07 (GMT) 
committer Keith Packard <keithp@keithp.com> 2011-11-23 21:07:12 (GMT) 
commit 1a2eb4604b85c5efb343da8a4dcf41288fcfca85 (patch) (side-by-side diff) 

drm/i915: Hook up Ivybridge eDP
The Ivybridge eDP control register looks like a cross between a
Cougarpoint PCH DP control register and a Sandybridge eDP control

Where things trivially match, share the code. Where there are any
tricky bits, just split things out into two obviously separate code paths.

Signed-off-by: Keith Packard <keithp@keithp.com>
Tested-by: Fang Xun <xunx.fang@intel.com>
Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=41991
Comment 9 fangxun 2011-12-04 21:11:43 UTC
Verified it with drm-intel-fixes commit 1a2eb4604b85c5efb343da8a4dcf41288fcfca85